package ru.lifepay.checkout.demo

object Actions {
    //PT - Операции через платежный терминал
    val PT_PAY = "ru.lifepay.checkout.payment_terminal.transaction.pay"
    val PT_REFUND = "ru.lifepay.checkout.payment_terminal.transaction.refund"
    val PT_CANCEL = "ru.lifepay.checkout.payment_terminal.transaction.cancel"
    val PT_GET_RESULT = "ru.lifepay.checkout.payment_terminal.transaction.get_result"
    val PT_CLOSE_SHIFT = "ru.lifepay.checkout.payment_terminal.close_shift"

    //QP - Операции через СБП
    val QP_PAY = "ru.lifepay.checkout.quick_payments_terminal.pay"
    val QP_REFUND = "ru.lifepay.checkout.quick_payments_terminal.refund"

    //Auth - операции для управления авторизацией
    val AUTH_ACTIVATION_STATUS = "ru.lifepay.checkout.auth.get_workplace_activation_status"
    val AUTH_ACTIVATE_WORKPLACE = "ru.lifepay.checkout.auth.activate_workplace"

    //PR - вспомогательные операции для управления периферийными устройствами в LIFE POS Checkout.
    val PR_MANAGE_CONNECTED_DEVICES = "ru.lifepay.checkout.periphery.manage_connected_devices"
}